Name:		sdlmame-extra-data
Version:	0.145
Release:	%mkrel 1
Summary:	More data files for SDL MAME front-ends
License:	Freeware
Group:		Emulators
URL:		http://mameworld.info/

# Cheats (XML format)
Source1:	http://cheat.retrogames.com/download/cheat0145.zip
#alt url: http://www.mamecheat.co.uk/
# nplayers.ini
Source10:	http://nplayers.arcadebelgium.be/files/nplayers0145.zip
# history.dat
Source20:	http://www.arcade-history.com/dats/mamehistory145.7z
# mameinfo.dat
Source30:	http://www.mameworld.info/mameinfo/download/Mameinfo0145.zip
# catver.ini (en, fr, it)
# http://www.progettoemma.net/public/ccount/click.php?id=6
# http://clrmamepro.free.fr/file/catlist/catver.zip
# http://www.progettoemma.net/public/ccount/click.php?id=5
Source40:	catver-0.145-en.zip
Source41:	catver-0.145-fr.zip
Source42:	catver-0.145-it.zip
# controls.ini (for wahcade)
Source50:	controls.ini.0.111.5.zip

BuildRequires:	p7zip
BuildRequires:	recode
BuildRequires:	perl

BuildArch:	noarch

# cheat.zip does not require a front-end
Requires:	sdlmame

%description
This package includes additional files for SDL MAME arcade emulator, which
are used by sdlmame itself (cheat.zip) or its front-ends.

%prep
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

#cheats
unzip %{SOURCE1}

#nplayers
unzip -CoLaa %{SOURCE10} nplayers.ini
perl -pe "s/([0-9])P/\$1J/g" nplayers.ini >nplayers-fr.ini

#history
7za x %{SOURCE20}

#mameinfo
unzip -o %{SOURCE30}
7za e Mameinfo*.7z mameinfo.dat

#catver
unzip -Coaap %{SOURCE40} Catver.ini >catver-en.ini
unzip -Coaap %{SOURCE41} Catver.ini >catver-fr.ini
unzip -Coaap %{SOURCE42} Catver.ini >catver-it.ini
#fix catver (for loemu)
recode l1..u8 catver-fr.ini catver-it.ini
perl -pi -e "s/^=/#=/g" catver-fr.ini

#controls
unzip -o %{SOURCE50}

%build

%install
cd %{name}-%{version}
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesdatadir}/sdlmame
install -m 644 cheat.zip catver-en.ini catver-fr.ini catver-it.ini \
 controls.ini history.dat mameinfo.dat nplayers.ini nplayers-fr.ini \
 %{buildroot}%{_gamesdatadir}/sdlmame/

%files
%{_gamesdatadir}/sdlmame/*

%clean
rm -rf %{buildroot}




%changelog
* Sun Feb 26 2012 Andrey Bondrov <abondrov@mandriva.org> 0.145-1mdv2012.0
+ Revision: 780862
- Update sdlmame support files to 0.145

* Mon Aug 01 2011 Andrey Bondrov <abondrov@mandriva.org> 0.142u4-1
+ Revision: 692636
- imported package sdlmame-extra-data


* Tue Jul 19 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.142u4-1mdv2011.0
- Import from MIB

* Fri May 27 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.142u4-69.1mib2010.2
- 0.142u4

* Wed Dec  1 2010 Guillaume Bedot <littletux@zarb.org> 0.140u1-1plf2011.0
- 0.140u1

* Sun May 23 2010 Guillaume Bedot <littletux@zarb.org> 0.138-2plf2010.1
- 0.138 catlists

* Thu May 20 2010 Guillaume Bedot <littletux@zarb.org> 0.138-1plf2010.1
- 0.138 (except catlist,cheats,controls)

* Wed Mar 24 2010 Guillaume Bedot <littletux@zarb.org> 0.137-2plf2010.1
- 0.137 cheats

* Tue Mar 23 2010 Guillaume Bedot <littletux@zarb.org> 0.137-1plf2010.1
- 0.137

* Sun Jan 10 2010 Guillaume Bedot <littletux@zarb.org> 0.136-1plf2010.1
- 0.136

* Thu Sep 17 2009 Guillaume Bedot <littletux@zarb.org> 0.134-3plf2010.0
- nplayers 0.134

* Tue Sep 15 2009 Guillaume Bedot <littletux@zarb.org> 0.134-2plf2010.0
- catver, history 0.134

* Fri Sep 11 2009 Guillaume Bedot <littletux@zarb.org> 0.134-1plf2010.0
- added controls.ini file
- 0.134 (except nplayers, history, catver, controls)

* Sat Sep  5 2009 Guillaume Bedot <littletux@zarb.org> 0.133-1plf2010.0
- 0.133 (except cheats)

* Fri Jun 12 2009 Guillaume Bedot <littletux@zarb.org> 0.132-1plf2010.0
- 0.132

* Mon Apr 27 2009 Guillaume Bedot <littletux@zarb.org> 0.131-1plf2009.1
- 0.131 (except cheats)

* Sun Apr 19 2009 Guillaume Bedot <littletux@zarb.org> 0.130u4-1plf2009.1
- New PLF package for the support files, to allow to update only these files
